SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002846: Recent 2.3 EA release broke DDNS using zoneedit.com - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002846Endian FirewallOther Scriptspublic2010-04-15 16:172010-11-22 11:51
Reporterlmarzke 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3 
Target VersionFixed in Version2.4 
Summary0002846: Recent 2.3 EA release broke DDNS using zoneedit.com
DescriptionThis prevents OpenVPN clients from attaching to EFW, so I'm marking it major.

/usr/local/bin/setddns.pl script does not work with zoneedit.

1. This script was broken earlier but I patched in manually with attached patch file.
2. The 4/14/2010 2.3EA release overwrite the script and broke it again.

DDNS changed their url, see attached patch file.

Please release for 2.3EA and 2.3
Additional InformationSee also bugs, 1372, 1142, but these state the issue was fixed, and it never
worked for me without manually applying the patch below.
TagsNo tags attached.
Attached Filespatch file icon setddns.pl.patch [^] (1,319 bytes) 2010-04-15 16:17 [Show Content]

- Relationships

-  Notes
(0004160)
peter-endian (administrator)
2010-04-19 10:01

Applyed
Thank you for the patch!

The fix will be released with the next version

- Issue History
Date Modified Username Field Change
2010-04-15 16:17 lmarzke New Issue
2010-04-15 16:17 lmarzke File Added: setddns.pl.patch
2010-04-19 10:01 peter-endian Note Added: 0004160
2010-04-19 10:01 peter-endian Status new => resolved
2010-04-19 10:01 peter-endian Fixed in Version => codename: angry armadillo
2010-04-19 10:01 peter-endian Resolution open => fixed
2010-04-19 10:01 peter-endian Assigned To => peter-endian
2010-11-22 11:51 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker